Subject: Re: [lojban] More on lojban programatic semantics: Strong typing and inferencing of types

From: "Bob LeChevalier (lojbab)" <[email-masked]>
Date: Tue, 23 May 2000 06:22:53 -0400

At 05:53 PM 05/22/2000 -0700, Jorge Llambias wrote:
>Yes, by "mekso" I only meant the Lojban mekso system. My
>contention is that it doesn't facilitate anything. I don't mean
>to say that mathematical formulas are not useful, only that reading
>them using Lojban mekso is just as complicated, or more, than
>reading them using standard Lojban or standard English.

I am sure you are correct. Given what we were trying to do, it would have 
to be more complicated than in English, since English cannot read off 
mathematical expressions unambiguously. If you limit yourself to, say, 
normal arithmetic expressions in normal forms, I would expect that learning 
mekso would be much easier, adding other stuff when you have need of 
reverse Polish notation, matrices, and the like.

lojbab
----
lojbab [email-masked]
Bob LeChevalier, President, The Logical Language Group, Inc.
2904 Beau Lane, Fairfax VA 22031-1303 USA 703-385-0273
Artificial language Loglan/Lojban: http://www.lojban.org